Subject: forever waiting postgres processes

From: [email-masked] (Gregory Klein)
Date: Tue, 15 Sep 92 08:59:42 -0700

Since installing Postgres ver 4.1, I have noticed that programs which
issue postgres commands via libpq occasionally hang, creating a
postgres process in a wait state.  Once this happens, all subsequent
calls to the backend will not go through, whether they are issued from
another libpq program, or from the monitor directly.  The only way to
fix it is to kill the wait-stated postgres process.  This problem didn't
exist when I was using the same programs and database with version
3.1.  Has anyone else experienced this problem?  I am running postgres
on a SPARC IPX running SunOS 4.1.2.

Thanks for any help,
Greg Klein